Package net.snowflake.client.core

## Enum Constants.Architecture

- java.lang.Object
- - java.lang.Enum<Constants.Architecture>
  - - net.snowflake.client.core.Constants.Architecture

All Implemented Interfaces:
  `Serializable`, `Comparable<Constants.Architecture>`

Enclosing class:
  Constants

    public static enum Constants.Architecture
    extends Enum<Constants.Architecture>

### Enum Constant Summary

Enum Constants
`AARCH64`
`PPC64`
`UNKNOWN`
`X86`
`X86_64`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getIdentifier()`
`static Constants.Architecture` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Constants.Architecture[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### X86_64

    public static final Constants.Architecture X86_64

#### AARCH64

    public static final Constants.Architecture AARCH64

#### PPC64

    public static final Constants.Architecture PPC64

#### X86

    public static final Constants.Architecture X86

#### UNKNOWN

    public static final Constants.Architecture UNKNOWN

### Method Detail

#### values

    public static Constants.Architecture[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Constants.Architecture c : Constants.Architecture.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Constants.Architecture valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getIdentifier

    public String getIdentifier()